[needs-packaging] celtx - all-in-one video and media pre-production suite

Reported by Don Smith on 2007-04-01
88
This bug affects 9 people
Affects Status Importance Assigned to Milestone
Feisty Backports
Undecided
Unassigned
Ubuntu Studio
Wishlist
Unassigned
raring-backports
Undecided
Unassigned
Baltix
Undecided
Unassigned
Debian
New
Unknown
Ubuntu
Wishlist
Bernhard Reiter
Declined for Intrepid by Chris Coulson
Declined for Jaunty by Chris Coulson
Nominated for Karmic by Colin Dean
Nominated for Lucid by Odin Hørthe Omdal

Bug Description

Celtx is a film/tv production tool that includes basic scriptwriting software. It's based on the mozilla codebase, and I believe is mostly written in javascript. It's license is an MPL Derivative. There is already a debian rfp: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=409048
http://www.celtx.com/

Earlier sources can be found on mozdev, but since it's mostly javascript, the source and the binary should be the same.

Description added from #249715

Description:
Celtx is the world's first all-in-one media pre-production software. It has everything you need to take your story from concept to production. Celtx replaces 'paper, pen & binder' pre-production with a digital approach that's more complete, simpler to work with, and easier to share.

Multi-Media Friendly
Celtx helps you pre-produce all types of media - film, video, documentary, theater, machinima, comics, advertising, gaming, music video, radio, podcasts, videocasts, and however else you choose to tell your story.

All-In-One
Unlike scriptwriting software, you can use Celtx for the entire pre-production process - write scripts, storyboard scenes and sequences, develop characters, breakdown & tag elements, schedule production, and prepare detailed and informative production reports for cast and crew.

Fully Integrated
Celtx is designed to help your entire production team work together on a single, easy to share project file - eliminating the confusion of multiple project files, and the need for 'paper and binder'.

World Community of Media Creators
More than 250,000 media creators in 160 countries create with Celtx in over 20 different languages. Celtx is used by independent filmmakers and studio professionals, and by students in over 1,400 universities and film schools - many that have adopted Celtx for teaching and class work submission.

Non-Linear Project Development
Unlike scriptwriting software, Celtx puts a choice of fully integrated development tools right at your fingertips, giving you total flexibility to determine how your story takes shape.

License:
Celtx is distributed under an open source license, so you can download it, use it, and distribute it for free.
Celtx uses the CePL, which is a derivative of Netscape's Mozilla Public License (MPL).
To find out more about open source licenses, please see www.opensource.org.

I would love to see this in the repos so I can run it under 64-bit Ubuntu

Andrew Hunter (rexbron) wrote :

I am looking at packageing this for hardy. Hoepfully will have a PPA for people to play with some time soon.

Colin Dean (colindean) wrote :

I'll take a stab at it if someone with stronger licensing-fu can determine by the CePL if such a package is legal.

http://www.celtx.com/CePL/

I've not make a package before, but I've been wanting to take a stab at it--might as well do it with a decent project.

Daniel Holbach (dholbach) wrote :

Due to a policy change (https://lists.ubuntu.com/archives/ubuntu-motu/2007-November/002684.html) I set the status to 'Triaged'. Set it back to 'In Progress' once you have a source package up for review.

Don Smith (donsmith77) wrote :

So I looked at the src download, which looks like it includes mozilla. While I would be grateful for any package of celtx, I wonder if it'd be possible to just package celtx itself, and use xulrunner for the rest.

Colin Dean (colindean) wrote :

I'm working on a package as I type. I've not tried to separate the celtx parts from the xulrunner parts--I want to get the package together in a basic form before I try anything more time-consuming. I'll post it when it's finished--I'm getting dpkg-buildpackage errors (this is my first package).

James (chiisu81) wrote :

Colin: thanks for the work! I think at the least we could get this put up on PPA, and then go on from there...

Version .9.9.7 is a really good release, and I hope to be seeing this in the Ubuntu repos eventually...

Thom Hastings (tghastings) wrote :

Just curious on your progress, Colin-- It's been a couple of months now and I'd be more than happy to help, though I probably have less experience building packages than you do.

Colin Dean (colindean) wrote :

I kinda stalled on it--got busy. If you've built one package, you have more experience than I do. I was still working on getting the debian/ directory set up. If you want, I can send you what I have, which really isn't much. I might have some time this week, though.

James (chiisu81) wrote :

I would still really like to see this, as Celtx just recently hit 1.0. I don't know if it would be a good idea to separate Celtx from xulrunner, since Hardy now uses Firefox 3 and I'm pretty sure it's version of xulrunner would only cause problems with Celtx...

Colin Dean (colindean) wrote :

I moved and was without Internet access for a while. I'm still swamped with work, so if someone else wants to undertake this, go for it. Otherwise, I'm probably going to end up simply packaging up Celtx's binaries. I've been having a hell of a time compiling it--the dependencies are crazy (of course, I'd rather build a kernel than build anything Mozilla-related).

description: updated

I had word from another maker of a library system, and they advised not to separate xulrunner from their package.

I think that if a programmer specs their program "with" (not "for") and included program, then unless you know more than the programmer on the issue, then it would probably be wise to stick with what is known to work well.

On the other hand, if somebody can make it work better with adjustments, then maybe this can be considered.

Changed in feisty-backports:
status: New → Incomplete
Changed in gutsy-backports:
status: New → Incomplete
sputnik (sputnik) wrote :

Celtx 2.0 is out!

http://celtx.com/

It would be great to have in ubuntustudio!

I agree, this is long overdue.
-----Original Message-----
Date: Monday, March 02, 2009 10:55:31 am
To: <email address hidden>
From: "sputnik" <email address hidden>
Subject: [Bug 99965] Re: [needs-packaging] celtx - all-in-one video and media pre-production suite

Celtx 2.0 is out!

http://celtx.com/

It would be great to have in ubuntustudio!

** Also affects: ubuntustudio
   Importance: Undecided
       Status: New

--
[needs-packaging] celtx - all-in-one video and media pre-production suite
https://bugs.launchpad.net/bugs/99965
You received this bug notification because you are a direct subscriber
of the bug.

Colin Dean (colindean) wrote :

I'm back to using Celtx regularly, so I'm going to spend some time at some
point trying to get this packaged. I don't know if I'll finish it before
the Jaunty package freeze, but it will certainly be done before Karmic.

Vadim Peretokin (vperetokin) wrote :

Don't expect it to get packaged anytime soon. The package freeze is already in, and the application uses their own home-made license: http://www.celtx.com/CePL/

Which would require speaking with the FSF or something to figure out the exact implication.

Colin Dean (colindean) wrote :

On Mon, 02 Mar 2009 20:04:44 -0000, Vadim Peretokin <email address hidden>
wrote:
> Don't expect it to get packaged anytime soon. The package freeze is
> already in, and the application uses their own home-made license:
> http://www.celtx.com/CePL/
>
> Which would require speaking with the FSF or something to figure out the
> exact implication.

Indeed. I noted that here:
https://bugs.launchpad.net/ubuntu/+bug/99965/comments/3.

IANAL, but it seems that the CePL is pretty much the standard MPL with
simply a tighter grip on the CELTX trademark. Would this require the
package to be renamed ala Firefox -> Iceweasel?

Ryan Prior (ryanprior) wrote :

For inclusion in Debian, it would need to be re-trademarked. However, even without re-trademarking it should be suitable for inclusion in Universe. Barring that, there should be no question that it's acceptable in Multiverse. We've definitely got a place for Celtx if you package it!

C.Kontros (coryisatm) wrote :

*If* it were to hit Multiverse, it would not be included *in* Ubuntu Studio but we could promote it.

rabidmonkey1 (rabidmonkey1) wrote :

Would love to see this program included in the repos. Let's get this things moving!

Changed in ubuntustudio:
importance: Undecided → Wishlist
Eric Hedekar (stochastic) wrote :

Colin, you mentioned that you'd certainly have this package done for Karmic, and Karmic's feature freeze is on it's way around the bend. What's the status of your packaging effort? Need a hand?

Colin Dean (colindean) wrote :

According to https://wiki.ubuntu.com/KarmicReleaseSchedule, Feature Freeze is 27 August.

I'll make every effort to get the package made this week.

IIRC, when I first tried, I couldn't get it to compile (it's been ~two years since I tried before running into life). I may end up packaging the binaries just to have a package, then figure out the source packages later.

It's on my TODO list by 5 pm on Friday.

Colin Dean (colindean) wrote :

I've completed an initial attempt at the package.

Please note that this version of the package was NOT compiled on Ubuntu! It's the stock English package from Celtx's web site with sufficient structure and files to make a Debian package.

I may try to recompile it myself at a later date, but there are no guarantees that I'll get around to doing it before the package freeze--August is booked solid for me.

Please test the package and email me at the maintainer's address.

Known Improvements to be Made
* The package is not yet signed--I've not figured out how to do that just quite yet.
* Celtx is built on Mozilla, but I'm not sure how much of it can be easily separated, thus perhaps making celtx depend on xulrunner or the like.
* There are no dependencies other than libc6 configured. I'm not sure what all is needed. AFAICT, all of the required libraries are packaged in it, so that's good enough for now.
* It really should be separate i386 and amd64 packages, but I'll deal with that later.

Downloading it now, will test on Ubuntu!

On Thu, Jul 30, 2009 at 10:53 PM, Colin Dean <email address hidden> wrote:

> I've completed an initial attempt at the package.
>
> Please note that this version of the package was NOT compiled on Ubuntu!
> It's the stock English package from Celtx's web site with sufficient
> structure and files to make a Debian package.
>
> I may try to recompile it myself at a later date, but there are no
> guarantees that I'll get around to doing it before the package freeze--
> August is booked solid for me.
>
> Please test the package and email me at the maintainer's address.
>
> Known Improvements to be Made
> * The package is not yet signed--I've not figured out how to do that just
> quite yet.
> * Celtx is built on Mozilla, but I'm not sure how much of it can be easily
> separated, thus perhaps making celtx depend on xulrunner or the like.
> * There are no dependencies other than libc6 configured. I'm not sure what
> all is needed. AFAICT, all of the required libraries are packaged in it, so
> that's good enough for now.
> * It really should be separate i386 and amd64 packages, but I'll deal with
> that later.
>
> ** Attachment added: "Celtx 2.0.2 deb"
> http://launchpadlibrarian.net/29737562/celtx-2.0.2.deb
>
> --
> [needs-packaging] celtx - all-in-one video and media pre-production suite
> https://bugs.launchpad.net/bugs/99965
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Thom Hastings (tghastings) wrote :

Installed .deb worked perfectly Ubuntu 9.04 amd64 worked perfectly!

On Fri, Jul 31, 2009 at 6:43 AM, Thom Hastings <email address hidden> wrote:

> Downloading it now, will test on Ubuntu!
>
>
> On Thu, Jul 30, 2009 at 10:53 PM, Colin Dean <email address hidden> wrote:
>
>> I've completed an initial attempt at the package.
>>
>> Please note that this version of the package was NOT compiled on Ubuntu!
>> It's the stock English package from Celtx's web site with sufficient
>> structure and files to make a Debian package.
>>
>> I may try to recompile it myself at a later date, but there are no
>> guarantees that I'll get around to doing it before the package freeze--
>> August is booked solid for me.
>>
>> Please test the package and email me at the maintainer's address.
>>
>> Known Improvements to be Made
>> * The package is not yet signed--I've not figured out how to do that just
>> quite yet.
>> * Celtx is built on Mozilla, but I'm not sure how much of it can be easily
>> separated, thus perhaps making celtx depend on xulrunner or the like.
>> * There are no dependencies other than libc6 configured. I'm not sure what
>> all is needed. AFAICT, all of the required libraries are packaged in it, so
>> that's good enough for now.
>> * It really should be separate i386 and amd64 packages, but I'll deal with
>> that later.
>>
>> ** Attachment added: "Celtx 2.0.2 deb"
>> http://launchpadlibrarian.net/29737562/celtx-2.0.2.deb
>>
>> --
>> [needs-packaging] celtx - all-in-one video and media pre-production suite
>> https://bugs.launchpad.net/bugs/99965
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>
>

Chris Coulson (chrisccoulson) wrote :

Colin,

Thank you for your effort. However, we upload Debian source packages in Ubuntu, and not the final installable Debian package as you have attached to the bug report (which isn't even compiled and linked against Ubuntu libraries).

For help with packaging, please have a look at the packaging guide here: https://wiki.ubuntu.com/PackagingGuide . In particular, this section will be of particular interest if you want to help out with packaging this: https://wiki.ubuntu.com/PackagingGuide/Complete#Packaging%20from%20Scratch .

Also, don't be afraid to come on to #ubuntu-motu on irc.freenode.net and ask some questions :)

Colin Dean (colindean) wrote :

Thanks for trying out, Thom. Now that I know that the little build system I set up works (I couldn't get dh_make to work acceptably with their package), I can proceed trying to build the source package I planned on building.

Chris, thanks for a reminder of the policy. I am aware of the need for a source package, but wanted to make /a/ package first before putzing with celtx's source. I know much more now about compilation and packaging than I did the last time I tried to compile celtx, so hopefully it will go much more smoothly.

Colin Dean (colindean) wrote :

Here's my first attempt at making a package from source. The newest version of the source available is 2.0.1. I've put in request that the source for 2.0.2 be released (they're more than a month late posting it).

This is a BINARY package compiled for amd64.

I'll have a i386 version when I finish figuring out how to build debian source packages.

Right now, the dependencies are the same as Firefox, even though only libc6 is specified as a dependency.

A SOURCE PACKAGE WILL COME WHEN I GET IT BUILT. Please just test this package so I know that my compile worked.

Colin Dean (colindean) wrote :

Whoops, forgot to attach it.

Thom Hastings (tghastings) wrote :

Installation and running it worked fine for me, 64bit Jaunty.

On Wed, Aug 12, 2009 at 10:32 PM, Colin Dean <email address hidden> wrote:

> Whoops, forgot to attach it.
>
> ** Attachment added: "celtx 2.0.1 amd64, compiled against ubuntu jaunty"
> http://launchpadlibrarian.net/30261477/celtx-2.0.1_amd64.deb
>
> --
> [needs-packaging] celtx - all-in-one video and media pre-production suite
> https://bugs.launchpad.net/bugs/99965
> You received this bug notification because you are a direct subscriber
> of the bug.
>

On 08/12/2009 11:31 PM, Colin Dean wrote:
> Here's my first attempt at making a package from source. The newest
> version of the source available is 2.0.1. I've put in request that the
> source for 2.0.2 be released (they're more than a month late posting
> it).
>
> This is a BINARY package compiled for amd64.
>
> I'll have a i386 version when I finish figuring out how to build debian
> source packages.
>
> Right now, the dependencies are the same as Firefox, even though only
> libc6 is specified as a dependency.
>
> A SOURCE PACKAGE WILL COME WHEN I GET IT BUILT. Please just test this
> package so I know that my compile worked.
>
Why not just build source package using the -s -sa options and push to
PPA that will build 386 64 and lpia for you

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

Colin Dean (colindean) wrote :

Thom, thanks.

John, that's pretty much the plan. I need to take a look at the Firefox source package and see how it is configured. Celtx and it use the same build process with one extra configure included from the celtx directory.

Colin Dean (colindean) wrote :

I'm almost there. I've got celtx building and I'm just having some "stupid errors" like typos in my rules file and such. I'll have the package up by the end of the weekend, or tonight if it succeeds in the next hour or so.

Colin Dean (colindean) wrote :

I had a successful build just now during lunch. However, I seem to have accidentally deleted the .orig.tar.gz file, so I'm gonna redo some of it and and see what else I can refine. Ideally, it'll be in my PPA before midnight.

Colin Dean (colindean) wrote :

The package is available!

https://launchpad.net/~colindean/+archive/ppa

Right now, I just have a jaunty version up. I'm working on setting up a Karmic VM so I can do a cleaner build and know better what dependencies are needed.

Colin Dean (colindean) wrote :

I've run into some problems compiling for Karmic. I guess gcc is a little more militant about #elif in Karmic:

c++ -o nsNativeAppSupportUnix.o -c -I../../dist/include/system_wrappers -include /home/colin/Source/celtx/karmic/celtx-2.0.1/mozilla/config/gcc_hidden.h -DGF_CELTX -DIMPL_XREAPI -DMOZILLA_INTERNAL_API -DOSTYPE=\"Linux2.6\" -DOSARCH=Linux -D_BUILD_STATIC_BIN -DOS_TARGET=\"Linux\" -DTARGET_XPCOM_ABI=\"x86_64-gcc3\" -DTARGET_OS_ABI=\"Linux_x86_64-gcc3\" -DTOOLKIT_EM_VERSION=\"1.9.0.5\" -DWRAP_SYSTEM_INCLUDES -I/home/colin/Source/celtx/karmic/celtx-2.0.1/mozilla/widget/src/xremoteclient -I/home/colin/Source/celtx/karmic/celtx-2.0.1/mozilla/toolkit/xre -I/home/colin/Source/celtx/karmic/celtx-2.0.1/mozilla/toolkit/xre/../profile/src -I/home/colin/Source/celtx/karmic/celtx-2.0.1/mozilla/config -I/home/colin/Source/celtx/karmic/celtx-2.0.1/mozilla/toolkit/xre -I. -I../../dist/include/appcomps -I../../dist/include/toolkitcomps -I../../dist/include/appshell -I../../dist/include/chrome -I../../dist/include/content -I../../dist/include/docshell -I../../dist/include/dom -I../../dist/include/embed_base -I../../dist/include/embedcomponents -I../../dist/include/extensions -I../../dist/include/gfx -I../../dist/include/intl -I../../dist/include/js -I../../dist/include/necko -I../../dist/include/pref -I../../dist/include/profile -I../../dist/include/string -I../../dist/include/uriloader -I../../dist/include/widget -I../../dist/include/windowwatcher -I../../dist/include/xpcom -I../../dist/include/xpconnect -I../../dist/include/xpinstall -I../../dist/include -I../../dist/include/xulapp -I../../dist/include/nspr -I../../dist/sdk/include -fno-rtti -fno-exceptions -Wall -Wconversion -Wpointer-arith -Woverloaded-virtual -Wsynth -Wno-ctor-dtor-privacy -Wno-non-virtual-dtor -Wcast-align -Wno-long-long -pedantic -fno-strict-aliasing -fshort-wchar -pthread -pipe -DNDEBUG -DTRIMMED -Os -freorder-blocks -fno-reorder-functions -D_REENTRANT -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/directfb -I/usr/include/libpng12 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-unix-print-2.0 -DMOZILLA_CLIENT -include ../../mozilla-config.h -Wp,-MD,.deps/nsNativeAppSupportUnix.pp /home/colin/Source/celtx/karmic/celtx-2.0.1/mozilla/toolkit/xre/nsNativeAppSupportUnix.cpp
/home/colin/Source/celtx/karmic/celtx-2.0.1/mozilla/toolkit/xre/nsAppRunner.cpp:1462:6: error: #elif with no expression

It looks like it's a stub for more cases which isn't properly commented out. I'm trying to change it to #else and hoping it works. I'm no c++ guru, though...

#elif defined(XP_BEOS)
  int32 cookie = 0;
  image_info info;

  if(get_next_image_info(0, &cookie, &info) != B_OK)
    return NS_ERROR_FAILURE;

  rv = NS_NewNativeLocalFile(nsDependentCString(info.name), PR_TRUE,
                             getter_AddRefs(lf));
  if (NS_FAILED(rv))
    return rv;

#elif
#error Oops, you need platform-specific code here
#endif

I'm making my change just above.

Colin Dean (colindean) wrote :

OK, folks. Celtx 2.0.1 has been built for both Jaunty and Karmic in the associated PPA. Please install it and check it out. I want to propose it for Karmic as early as Monday night if it's running fine.

I tested your build on a 32Bit Jaunty and it is working great so far.
Thanks,

2009/8/24 Colin Dean <email address hidden>

> OK, folks. Celtx 2.0.1 has been built for both Jaunty and Karmic in the
> associated PPA. Please install it and check it out. I want to propose it
> for Karmic as early as Monday night if it's running fine.
>
> --
> [needs-packaging] celtx - all-in-one video and media pre-production suite
> https://bugs.launchpad.net/bugs/99965
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

--
---
<email address hidden>
<email address hidden>
sip:<email address hidden> <sip%<email address hidden>>

Thom Hastings (tghastings) wrote :

Ditto for 64bit Jaunty + 32bit Karmic

On Sun, Aug 23, 2009 at 10:13 PM, George Wright <email address hidden> wrote:

> I tested your build on a 32Bit Jaunty and it is working great so far.
> Thanks,
>
> 2009/8/24 Colin Dean <email address hidden>
>
> > OK, folks. Celtx 2.0.1 has been built for both Jaunty and Karmic in the
> > associated PPA. Please install it and check it out. I want to propose it
> > for Karmic as early as Monday night if it's running fine.
> >
> > --
> > [needs-packaging] celtx - all-in-one video and media pre-production suite
> > https://bugs.launchpad.net/bugs/99965
> > You received this bug notification because you are a direct subscriber
> > of a duplicate bug.
> >
>
>
> --
> ---
> <email address hidden>
> <email address hidden>
> sip:<email address hidden> <sip%<email address hidden>> <sip%<email address hidden><sip%<email address hidden>>
> >
>
> --
> [needs-packaging] celtx - all-in-one video and media pre-production suite
> https://bugs.launchpad.net/bugs/99965
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Thom Hastings (tghastings) wrote :

Edit: 32bit Karmic has issues with splash screen, boxes aren't drawn right.

On Sun, Aug 23, 2009 at 10:35 PM, Thom Hastings <email address hidden>wrote:

> Ditto for 64bit Jaunty + 32bit Karmic
>
>
> On Sun, Aug 23, 2009 at 10:13 PM, George Wright <email address hidden> wrote:
>
>> I tested your build on a 32Bit Jaunty and it is working great so far.
>> Thanks,
>>
>> 2009/8/24 Colin Dean <email address hidden>
>>
>> > OK, folks. Celtx 2.0.1 has been built for both Jaunty and Karmic in the
>> > associated PPA. Please install it and check it out. I want to propose it
>> > for Karmic as early as Monday night if it's running fine.
>> >
>> > --
>> > [needs-packaging] celtx - all-in-one video and media pre-production
>> suite
>> > https://bugs.launchpad.net/bugs/99965
>> > You received this bug notification because you are a direct subscriber
>> > of a duplicate bug.
>> >
>>
>>
>> --
>> ---
>> <email address hidden>
>> <email address hidden>
>> sip:<email address hidden> <sip%<email address hidden>> <sip%<email address hidden><sip%<email address hidden>>
>> >
>>
>> --
>> [needs-packaging] celtx - all-in-one video and media pre-production suite
>> https://bugs.launchpad.net/bugs/99965
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>
>

Thom Hastings (tghastings) wrote :

Aaaand again, it may just be my resolution, but many boxes seem to be drawn
too large.

On Sun, Aug 23, 2009 at 10:57 PM, Thom Hastings <email address hidden>wrote:

> Edit: 32bit Karmic has issues with splash screen, boxes aren't drawn right.
>
>
> On Sun, Aug 23, 2009 at 10:35 PM, Thom Hastings <email address hidden>wrote:
>
>> Ditto for 64bit Jaunty + 32bit Karmic
>>
>>
>> On Sun, Aug 23, 2009 at 10:13 PM, George Wright <email address hidden> wrote:
>>
>>> I tested your build on a 32Bit Jaunty and it is working great so far.
>>> Thanks,
>>>
>>> 2009/8/24 Colin Dean <email address hidden>
>>>
>>> > OK, folks. Celtx 2.0.1 has been built for both Jaunty and Karmic in the
>>> > associated PPA. Please install it and check it out. I want to propose
>>> it
>>> > for Karmic as early as Monday night if it's running fine.
>>> >
>>> > --
>>> > [needs-packaging] celtx - all-in-one video and media pre-production
>>> suite
>>> > https://bugs.launchpad.net/bugs/99965
>>> > You received this bug notification because you are a direct subscriber
>>> > of a duplicate bug.
>>> >
>>>
>>>
>>> --
>>> ---
>>> <email address hidden>
>>> <email address hidden>
>>> sip:<email address hidden> <sip%<email address hidden>> <sip%<email address hidden><sip%<email address hidden>>
>>> >
>>>
>>> --
>>> [needs-packaging] celtx - all-in-one video and media pre-production suite
>>> https://bugs.launchpad.net/bugs/99965
>>> You received this bug notification because you are a direct subscriber
>>> of the bug.
>>>
>>
>>
>

Colin Dean (colindean) wrote :

I saw those when I tried it out, but I chalked it up to oddities with the theme I was using.

Is the scrollbar present when you open one of the test documents? I notice that it's missing.

I guess I'll take a look at the differences in the dependencies and see if there the Jaunty version of gtk+ or something available in Karmic. I tried out the official binary on Karmic and it was fine.

Eric Hedekar (stochastic) wrote :

I can confirm that on 32bit Karmic boxes aren't drawn right. It got a little better when I turned compiz off, but not by much. However, I don't honestly believe this minor bug should prevent the package from entering Karmic. Get the package uploaded to REVU as soon as possible (feature freeze is four days away!).

Colin Dean (colindean) wrote :

It's uploaded to REVU. There are a few warnings it generated. I'm going to try to address these tonight.

http://revu.ubuntuwire.com/p/celtx

Colin Dean (colindean) wrote :

I've not had time to fix the items in the review, and I kinda doubt that I'll get it done tonight. It's probably too late, anyway. I promise I'll have it done for Lucid, though, and I'll certainly have a PPA for Karmic.

Changed in gutsy-backports:
status: Incomplete → Invalid
Changed in feisty-backports:
status: Incomplete → Invalid
Miriam Ruiz (miry) wrote :

I have prepared celtx 2.5.1 packages for Debian, temporarily available at http://alioth.debian.org/~miriam/celtx/

I still have to finish them properly, though, but I guess they are in quite good condition to be usable, in case someone wants to adapt them to Ubuntu.

Paul Arnel Joaban (padjoaban) wrote :

Does this work on Jaunty ? Thanks

Bernhard Reiter (ockham-razor) wrote :

I'm using celtx_2.7+dfsg1-0inniyah1_amd64.deb from http://alioth.debian.org/~miriam/celtx/ on maverick. It works, but I get a

LoadPlugin: failed to initialize shared library /home/bernie/.mozilla/plugins/gxineplugin.so [/home/bernie/.mozilla/plugins/gxineplugin.so: wrong ELF class: ELFCLASS32]

warning displayed at startup. Looks like some hardcoded 32bit dependency in a 64bit context...

BTW, great work, people! Is it likely this will get reviewed anytime soon?

Bernhard Reiter (ockham-razor) wrote :

I've also noticed that I don't get any menu entry, and there is no celtx.desktop in /usr/share/applications. Perhaps the menu file is broken?

Changed in ubuntustudio:
assignee: nobody → Alessio Treglia (quadrispro)
status: New → In Progress
Changed in ubuntustudio:
assignee: Alessio Treglia (quadrispro) → nobody
status: In Progress → New
Bernhard Reiter (ockham-razor) wrote :

I've just packaged version 2.9.1 for natty and uploaded it to my PPA, https://launchpad.net/~ockham-razor/+archive/ppa/
Please test! You might notice that it's not based on the previous effort found in this bug report; I wanted to use current packaging techniques like debhelper 7 and source format 3.0 (quilt).

In the end, I'd like to submit this package to Ubuntu (and Debian), but there's obviously still some work ahead, like:
* Possibly put the stuff that goes to /usr/share into a celtx-data package
* Figure out all copyrights/licenses
* Add localization packages
For debian:
* Check if it's DFSG compliant and/or has to be rebranded
* Unbundle xulrunner

Any help and/or comments welcome!

Changed in ubuntu:
assignee: Andrew Hunter (rexbron) → Bernhard Reiter (ockham-razor)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.